1. Introduction
API
English
  • Español
  • English
  • Introduction
    • Kambia API
    • Credentials
    • Authentication
    • Verification
      POST
  • Services
    • Code catalog
    • Payout
      • Notifications
      • Create payout
      • Get payout
    • Direct debit
      • Affiliation
      • Charge
  1. Introduction

Verification

POST
/{{api_version}}/check/{{merchant_id}}
Before using Kambia's services, verify your authentication with this endpoint. Send the required headers and get a successful validation from the Kambia API.

Path parameter#

The endpoint requires the path parameter {{merchant_id}} (replace it with your unique identifier at Kambia).

Request body#

Send any valid JSON object; we will validate the signature and the headers.

#Example_1
{
    "test" : true
}

#Example_2
{
    "country": "PER",
    "amount": 25000,
    "currency": "PEN"
}

Goal#

Get HTTP status code 200 (OK) with this body:
{
    "status_code": 200,
    "message": "Authenticated"
}
If there is an authentication problem, you will get more details (see the responses 👇).

Request

Body Params application/jsonRequired

Examples

Responses

🟢200Authenticated
application/json
Verification successful!
Bodyapplication/json

🟠400Missing headers
🟠401Request expired
🟠401Invalid credentials
🟠401Invalid signature
Response Response Example
200 - Authenticated
{
    "status_code": 200,
    "message": "Authenticated"
}
Modified at 2026-10-02 17:46:22
Previous
Authentication
Next
Code catalog
Built with